Bug 1629049 - [OSP-13] NetApp: Consistency Group Snapshot deletion error
Summary: [OSP-13] NetApp: Consistency Group Snapshot deletion error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z3
: 13.0 (Queens)
Assignee: Alan Bishop
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Keywords: OtherQA, Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 17:59 UTC by Erlon
Modified: 2018-11-13 22:14 UTC (History)
5 users (show)

(edit)
The driver for the Block Storage service's SolidFire backend would crash when attempting to delete a consistency group snapshot. This issue has been fixed so the driver no longer crashes attempting to delete a consistency group snapshot.
Clone Of:
(edit)
Last Closed: 2018-11-13 22:13:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3601 None None None 2018-11-13 22:14 UTC
OpenStack gerrit 598193 None master: MERGED cinder: NetApp SolidFire: Fix CG snapshot deletion (I4d6a4f5cf4f4f0f751e1378d3747d2aacc050d24) 2018-10-15 14:31 UTC
Launchpad 1788418 None None None 2018-09-14 17:59 UTC

Description Erlon 2018-09-14 17:59:47 UTC
Currently is not possible to delete a consistency group snapshot on the SolidFire Cinder driver.

The fix[1] is already merged on master release and a backport to Rocky[2] is already on fight.


[1] https://review.openstack.org/598193
[2] https://review.openstack.org/602088

Comment 2 Erlon 2018-10-11 13:12:51 UTC
Backport to Queens is merged: https://review.openstack.org/607662

Comment 7 Tzach Shefi 2018-10-21 10:55:13 UTC
OtherQA no access to such a storage to verify.

Comment 10 errata-xmlrpc 2018-11-13 22:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3601


Note You need to log in before you can comment on or make changes to this bug.